> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Channel By Id

> Update channel



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json put /api/v1/channel/{channel_id}
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/channel/{channel_id}:
    put:
      tags:
        - Channel
      summary: Update Channel By Id
      description: Update channel
      operationId: update_channel_by_id_api_v1_channel__channel_id__put
      parameters:
        - name: channel_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Channel Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IChannelUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPutResponseBase_IChannelUpdate_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IChannelUpdate:
      properties:
        org_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Org Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        credentials:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Credentials
        channel_provider:
          anyOf:
            - $ref: '#/components/schemas/IChannelProviderEnum'
            - type: 'null'
      type: object
      title: IChannelUpdate
    IPutResponseBase_IChannelUpdate_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data updated successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IChannelUpdate'
            - type: 'null'
      type: object
      title: IPutResponseBase[IChannelUpdate]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    IChannelProviderEnum:
      type: string
      enum:
        - leadconnector
        - hubspot
        - google_calendar
        - zoho
        - freshdesk
        - insighto
        - modmed
        - twilio
        - custom
        - fb_messenger
        - instagram
        - paypal
        - postgres
        - plivo
        - telnyx
        - telegram
      title: IChannelProviderEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````